Skip to main content
POST
/
customers
/
{customerId}
/
customer-contact
Create a customer contact
curl --request POST \
  --url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/customers/{customerId}/customer-contact \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "first_name": "some string",
  "last_name": "some string",
  "email": "some@mail.com",
  "notes": "some string",
  "phone": "+12345678",
  "order": 1
}
'
import requests

url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/customers/{customerId}/customer-contact"

payload = {
"first_name": "some string",
"last_name": "some string",
"email": "some@mail.com",
"notes": "some string",
"phone": "+12345678",
"order": 1
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'some string',
last_name: 'some string',
email: 'some@mail.com',
notes: 'some string',
phone: '+12345678',
order: 1
})
};

fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/customers/{customerId}/customer-contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));

Authorizations

x-api-key
string
header
required

Path Parameters

customerId
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

Successful response